This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 856282 - [Web UI] Improve instructions to generate certificate
[Web UI] Improve instructions to generate certificate
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 11:51 EDT by Dmitri Pal
Modified: 2013-02-21 04:19 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:19:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa 2.2 (471.13 KB, image/png)
2013-01-22 16:11 EST, Xiyang Dong
no flags Details
verified in ipa-server-3.0.0-22.el6.x86_64 (155.65 KB, image/png)
2013-01-22 16:13 EST, Xiyang Dong
no flags Details

  None (edit)
Description Dmitri Pal 2012-09-11 11:51:41 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3056

Endi proposed that we should improve instructions to generate certificate to be more simple (shorter). Might be good if reviewed by native speaker.

{{{
1. Create a certificate database or use an existing one. To create a
   new database:
   # certutil -N -d <database path>
   See certutil documentation for more info.
2. Create a CSR with subject "CN=<hostname>,O=<realm>", for example:
   # certutil -R -d <database path> -a -g <key size>
     -s 'CN=test.example.com,O=EXAMPLE.COM'
3. Copy and paste the CSR (from "-----BEGIN NEW CERTIFICATE
   REQUEST-----" to "-----END NEW CERTIFICATE REQUEST-----") into the
   text area below:
}}}
Note, the '#' is meant to indicate the command prompt. The <em> tag was not quite visible, most likely people won't see the tooltips for key size, so it might be better to mention <key size> explicitly.
Comment 1 Petr Vobornik 2012-10-19 08:43:13 EDT
Fixed upstream: 

ipa-3-0: 49fb0835c7393bc305b0f859460c4943e562c38b Simpler instructions to generate certificate

master: fed5bbd2989a20e1562598033791a0b03d2898be Simpler instructions to generate certificate
Comment 5 Xiyang Dong 2013-01-22 16:11:43 EST
Created attachment 685453 [details]
ipa 2.2
Comment 6 Xiyang Dong 2013-01-22 16:13:28 EST
Created attachment 685454 [details]
verified in ipa-server-3.0.0-22.el6.x86_64
Comment 8 errata-xmlrpc 2013-02-21 04:19:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.